import { useRequest } from "@/use/useHttp"

/**
 * 解密用户微信信息
 */
 export const GetWxUserInfoApi = () => {
    return useRequest({
        url: `/v1/mall/user/decrypt`,
        method: "post",
    })
}

/**
 * 获取后台返回的用户信息
 */
 export const GetAdminUserInfoApi = () => {
    return useRequest({
        url: `/v1/mall/user/info`,
        method: "get",
    })
}

/**
 * 获取后台返回的用户手机号码信息
 */
 export const GetPhoneNumberApi = () => {
    return useRequest({
        url: `/v1/mall/user/phoneNumber`,
        method: "post",
    })
}
